ALTER TABLE `@@DB_MAIN_PREFIX@@event_queue` 
	ADD COLUMN `queue_batched` int(11)   NOT NULL DEFAULT 0 after `queue_module` , 
	DROP COLUMN `queue_module_type` , 
	DROP KEY `queue_start`, ADD KEY `queue_start`(`queue_batched`,`queue_start`) ;

DROP TABLE IF EXISTS `@@DB_MAIN_PREFIX@@user_preferences`;
CREATE TABLE IF NOT EXISTS `@@DB_MAIN_PREFIX@@user_preferences` (
  `pref_user` varchar(12) NOT NULL DEFAULT '',
  `pref_name` varchar(72) NOT NULL DEFAULT '',
  `pref_value` varchar(32) NOT NULL DEFAULT '',
  KEY `pref_user` (`pref_user`,`pref_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


INSERT INTO `@@DB_MAIN_PREFIX@@user_preferences` (`pref_user`, `pref_name`, `pref_value`) VALUES
('0', 'LOCALE', 'en'),
('0', 'TABVIEW', '0'),
('0', 'SHDATEFORMAT', '%d/%m/%Y'),
('0', 'TIMEFORMAT', '%I:%M %p'),
('0', 'UISTYLE', 'default'),
('0', 'TASKASSIGNMAX', '100'),
('0', 'USERFORMAT', 'user');	

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'check_overallocation', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '2';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'currency_symbol', `config_value` = '$', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '3';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'host_style', `config_value` = 'default', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '4';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'company_name', `config_value` = 'My Company', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '5';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'page_title', `config_value` = 'dotProject', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '6';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'site_domain', `config_value` = 'example.com', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '7';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'email_prefix', `config_value` = '[dotProject]', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '8';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'admin_username', `config_value` = 'admin', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '9';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'username_min_len', `config_value` = '4', `config_group` = 'auth', `config_type` = 'text' where `config_id` = '10';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'password_min_len', `config_value` = '4', `config_group` = 'auth', `config_type` = 'text' where `config_id` = '11';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'enable_gantt_charts', `config_value` = 'true', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '12';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'check_task_dates', `config_value` = 'true', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '14';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'check_task_empty_dynamic', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '15';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'locale_warn', `config_value` = 'false', `config_group` = 'ui', `config_type` = 'checkbox' where `config_id` = '16';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'locale_alert', `config_value` = '^', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '17';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'daily_working_hours', `config_value` = '8.0', `config_group` = 'tasks', `config_type` = 'text' where `config_id` = '18';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'display_debug', `config_value` = 'false', `config_group` = 'ui', `config_type` = 'checkbox' where `config_id` = '19';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'link_tickets_kludge', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '20';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'show_all_task_assignees', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '21';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'direct_edit_assignment', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '22';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'restrict_color_selection', `config_value` = 'false', `config_group` = 'ui', `config_type` = 'checkbox' where `config_id` = '23';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'cal_day_view_show_minical', `config_value` = 'true', `config_group` = 'calendar', `config_type` = 'checkbox' where `config_id` = '24';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'cal_day_start', `config_value` = '8', `config_group` = 'calendar', `config_type` = 'text' where `config_id` = '25';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'cal_day_end', `config_value` = '17', `config_group` = 'calendar', `config_type` = 'text' where `config_id` = '26';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'cal_day_increment', `config_value` = '15', `config_group` = 'calendar', `config_type` = 'text' where `config_id` = '27';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'cal_working_days', `config_value` = '1,2,3,4,5', `config_group` = 'calendar', `config_type` = 'text' where `config_id` = '28';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'restrict_task_time_editing', `config_value` = 'false', `config_group` = 'tasks', `config_type` = 'checkbox' where `config_id` = '29';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'default_view_m', `config_value` = 'calendar', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '30';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'default_view_a', `config_value` = 'day_view', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '31';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'default_view_tab', `config_value` = '1', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '32';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'index_max_file_size', `config_value` = '-1', `config_group` = 'file', `config_type` = 'text' where `config_id` = '33';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'files_show_versions_edit', `config_value` = 'false', `config_group` = 'file', `config_type` = 'checkbox' where `config_id` = '43';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'files_ci_preserve_attr', `config_value` = 'true', `config_group` = 'file', `config_type` = 'checkbox' where `config_id` = '42';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'parser_application/pdf', `config_value` = '/usr/bin/pdftotext', `config_group` = 'file', `config_type` = 'text' where `config_id` = '41';

update `@@DB_MAIN_PREFIX@@config` set  `config_name` = 'parser_text/html', `config_value` = '/usr/bin/strings', `config_group` = 'file', `config_type` = 'text' where `config_id` = '40';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'parser_default', `config_value` = '/usr/bin/strings', `config_group` = 'file', `config_type` = 'text' where `config_id` = '38';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'parser_application/msword', `config_value` = '/usr/bin/strings', `config_group` = 'file', `config_type` = 'text' where `config_id` = '39';

update `@@DB_MAIN_PREFIX@@config` set `config_name` = 'host_locale', `config_value` = 'en', `config_group` = 'ui', `config_type` = 'text' where `config_id` = '1';

update `@@DB_MAIN_PREFIX@@user_access_log` set `user_access_log_id` = '1', `user_id` = '1', `user_ip` = '127.0.0.1', `date_time_in` = NOW(), `date_time_out` = NOW(), `date_time_last_action` = NOW() where `user_access_log_id` = '1';

UPDATE `@@DB_MAIN_PREFIX@@dpversion` SET `code_version` = '2.1.8' WHERE `code_version` = '2.1.7' AND `db_version` =2 ;



